Skip to navigation

Get Connection

Get detailed information about a specific connection.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

connection_idstringRequiredformat: "uuid"

Response

Successful Response
idstringformat: "uuid"
Unique identifier for the connection.
created_atdatetime
Timestamp when the connection was created.
updated_atdatetime
Timestamp when the connection was last updated.
fleet_idstring or nullformat: "uuid"
The Catena ID of the fleet that owns this connection.
tsp_idstringformat: "uuid"

The ID of the Telematics Service Provider (TSP).

source_nameenum
The name of the TSP integration used for this connection.
credentialsobject
The connection credentials used to authenticate with the TSP.
statusenum
The current status of the connection.
descriptionstring or null
A description of the connection. Useful when the fleet has multiple accounts with the same TSP.
fleet_refstring or nullOptional
The reference of the fleet in the partner's system

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error
504
Gateway Timeout Error